> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/monad-mon/eth_gettransactionreceipt-monad.md).

# eth\_getTransactionReceipt - Monad

This method returns the receipt of a transaction by transaction hash. The receipt is not available for pending transactions.

## Parameters

| Parameter       | Type   | Required | Description                   |
| --------------- | ------ | -------- | ----------------------------- |
| transactionHash | string | Yes      | The 32-byte transaction hash. |

## Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getTransactionReceipt",
    "params": ["0x2623a9878543c1b8a1e1c9f6cd58bcde5958edeed4b90c616f03f41e99faa1f8"],
    "id": "getblock.io"
}'
```

{% endtab %}

{% tab title="Axios" %}

```javascript
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "eth_getTransactionReceipt",
    "params": ["0x2623a9878543c1b8a1e1c9f6cd58bcde5958edeed4b90c616f03f41e99faa1f8"],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));
```

{% endtab %}

{% tab title="Request" %}

```python
import requests
import json

url = "https://go.getblock.io/<ACCESS-TOKEN>/"

payload = json.dumps({
    "jsonrpc": "2.0",
    "method": "eth_getTransactionReceipt",
    "params": ["0x2623a9878543c1b8a1e1c9f6cd58bcde5958edeed4b90c616f03f41e99faa1f8"],
    "id": "getblock.io"
})

headers = {
    'Content-Type': 'application/json'
}

response = requests.post(url, headers=headers, data=payload)
print(response.text)
```

{% endtab %}

{% tab title="Rust" %}
{% code overflow="wrap" %}

```rust
use reqwest::header;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = reqwest::Client::new();
    
    let response = client
        .post("https://go.getblock.io/<ACCESS-TOKEN>/")
        .header(header::CONTENT_TYPE, "application/json")
        .body(r#"{
            "jsonrpc": "2.0",
            "method": "eth_getTransactionReceipt",
            "params": ["0x2623a9878543c1b8a1e1c9f6cd58bcde5958edeed4b90c616f03f41e99faa1f8"],
            "id": "getblock.io"
        }"#)
        .send()
        .await?;
    
    println!("{}", response.text().await?);
    Ok(())
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Response

{% code overflow="wrap" %}

```json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "transactionHash": "0xe670ec64341771606e55d6b4ca35a1a6b75ee3d5145a99d05921026d1527331",
        "transactionIndex": "0x0",
        "blockHash": "0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae",
        "blockNumber": "0x1b4",
        "from": "0x742d35cc6634c0532925a3b844bc9e7595f0beb",
        "to": "0x4bbeeb066ed09b7aed07bf39eee0460dfa261520",
        "cumulativeGasUsed": "0x5208",
        "gasUsed": "0x5208",
        "effectiveGasPrice": "0x3b9aca00",
        "contractAddress": null,
        "logs": [],
        "logsBloom": "0x00000000000000000000000000000000...",
        "status": "0x1",
        "type": "0x2"
    }
}
```

{% endcode %}

## Response Parameters

| Field             | Type   | Description                                                       |
| ----------------- | ------ | ----------------------------------------------------------------- |
| transactionHash   | string | Transaction hash.                                                 |
| transactionIndex  | string | Index position in the block.                                      |
| blockHash         | string | Hash of the block.                                                |
| blockNumber       | string | Block number.                                                     |
| from              | string | Sender address.                                                   |
| to                | string | Receiver address. Null for contract creation.                     |
| cumulativeGasUsed | string | Total gas used in the block up to this transaction.               |
| gasUsed           | string | Gas used by this transaction.                                     |
| effectiveGasPrice | string | Actual gas price paid per gas.                                    |
| contractAddress   | string | Contract address if this was a contract creation. Null otherwise. |
| logs              | array  | Array of log objects generated by this transaction.               |
| logsBloom         | string | Bloom filter for logs.                                            |
| status            | string | 0x1 for success, 0x0 for failure.                                 |
| type              | string | Transaction type.                                                 |

## Use Case

The `eth_getTransactionReceipt` method is essential for:

* Confirming transaction success/failure
* Getting gas used for cost analysis
* Extracting event logs
* Contract deployment verification
* Payment confirmation systems
* DeFi transaction tracking

## Error Handling

| Status Code | Error Message            | Cause                            |
| ----------- | ------------------------ | -------------------------------- |
| 403         | Forbidden                | Missing or invalid ACCESS-TOKEN. |
| -32602      | Invalid params           | Invalid transaction hash format. |
| -32601      | failed to parsed request | Syntax Error                     |

## Web3 Integration

{% tabs %}
{% tab title="Ethers.js" %}

```javascript
import { ethers } from 'ethers';

const provider = new ethers.JsonRpcProvider('https://go.getblock.io/<ACCESS-TOKEN>/');
const receipt = await provider.getTransactionReceipt(txHash);

if (receipt) {
    console.log('Status:', receipt.status === 1 ? 'Success' : 'Failed');
    console.log('Gas used:', receipt.gasUsed.toString());
    console.log('Block:', receipt.blockNumber);
    console.log('Logs:', receipt.logs.length);
}
```

{% endtab %}

{% tab title="Viem" %}

```javascript
import { createPublicClient, http } from "viem";
import { monad } from "viem/chains";

// Create Viem client with GetBlock
const client = createPublicClient({
  chain: monad,
  transport: http(
    import.meta.env.MONAD_ACCESS_TOKEN
  ),
});

// Using the method through Viem
async function Call() {
  try {
    // Method-specific Viem implementation
    const result = await client.request({
      method: "eth_getTransactionReceipt",
      params: [
        "0x2623a9878543c1b8a1e1c9f6cd58bcde5958edeed4b90c616f03f41e99faa1f8",
      ],
    });
    console.log("Result:", result);
    return result;
  } catch (error) {
    console.error("Viem Error:", error);
    throw error;
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/monad-mon/eth_gettransactionreceipt-monad.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
